
* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
    
    scroll-behavior: smooth;
}

body {
    font-family: Arial, Helvetica, sans-serif;
}

header {
    height: 50px;
    width: 100vw;
    background-size: cover;
   margin-top: auto;

  
}

.navbar {
    background-color:  black;
    position: relative; /* Relative position for the sticky effect */
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 70px;
    font-size: 17px;
    z-index: 2;
}
    .navbar.sticky {
        position: fixed;
        top: 0;
        width: 100%;
    }

    .navbar a {
        color: white;
        text-decoration:none;
    }

    .navbar img {
        font-size: 1em;
        width: 150px;
        height: 70px;
        margin-left: 30px;
    }
    .navbar .nav-links ul {
        display: flex;
    }

        .navbar .nav-links ul li {
            margin: 0 25px;
            transition: color 0.3s ease;
        }

            .navbar .nav-links ul li.active a {
                color:#dfb16d;
                font-weight: 600;
            }

    .navbar .menu-hamburger {
        display: none;
        position: absolute;
        right: 30px;
        width: 35px;
    }
    nav ul li a:hover {
        color: gray;
        text-decoration:none;
    }
    @media screen and (max-width: 901px) {
        .navbar {
            padding: 0;
        }

    
    
            .navbar .logo {
                position: absolute;
                top: 45px;
            
            }
    
            .navbar .menu-hamburger {
                display: block;
                width: 50px
              
            }
    
        .nav-links {
            position: absolute;
            top: 0;
            left: 0;
              background-color: rgba(2, 1, 1, 0.637);
        backdrop-filter: blur(8px);
            width: 100%;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-left: -100%;
            transition: all 0.5s ease;
        }
    
            .nav-links.mobile-menu {
                margin-left: 0;
            }
    
            .nav-links ul {
                display: flex;
                flex-direction: column;
                align-items: center;
            }
    
        .navbar .nav-links ul li {
            margin: 25px 0;
            font-size: 1.2em;
        }
                /*dggg*/
        .container {
            flex-wrap: wrap;
        }
        .container {
            flex-direction: column;
            align-items: center;
          
        }
    
        
        

        .plan0{
            flex-direction: column;
            
            justify-content: center;
         }

        /* DEBUT filtre responsive */ 
         .immeuble1{
            flex-direction: column;
         }
         .tab{
            margin-top: 19px;
            margin-bottom: 10px;
            border-radius: 15px;
            overflow: auto;         /* Active le défilement lorsque nécessaire */
            /*border: 1px solid #ccc;  Bordure pour la visibilité */
            max-height: 300px;
            font-size: 12px;
            }
            .tab h2{
                font-size: 1rem;
                font-weight: bold;
            }
            .img-build{
                margin-left: 10%;
            }
    
            .img-build img{
                max-width: 100%;
                max-height: 100%;
            }

            
           
            
                .contenu-flex {
                    flex-direction: column;
                }

                
    
                .carateristiques{
                   
                    /* margin-left: 150px;
                    margin-right: 150px; */
                    
                    
                    font-size: 10px;}
        /* DEBUT filtre responsive */

        .gallery {
  
            display: flex;
            flex-wrap: wrap;
            gap: 5px; /* Espace entre les images */
            max-width: 500px; 
            
        }
        .montexte2{
            text-align: justify; /*mettre le text a gauche  */
        word-spacing: normal;
        hyphens: auto;
        width: 100%; /* Largeur de l'élément prend 100% de la largeur de l'écran */
        }
        .montexte p{
      text-align: justify; /*mettre le text a gauche  */
        word-spacing: normal;
        hyphens: auto;
        width: 100%; /* Largeur de l'élément prend 100% de la largeur de l'écran */
        }
        .montexte h3{
            font-size: 20px;
        }

         /* Responsive */

    .container{
        flex-wrap:wrap;
    }


    .container {
        flex-direction: column;
        align-items: center;
    }

    .container2 {
        flex-direction: column;
    }
   
        .infos {
        /* max-width: 100%; */
        
        text-align: center;
        margin-bottom: 20px;
    }

    .infos h3 {
        font-size: 15px;
        word-break: keep-all;
        display: block;
        
    }

        .imagecontact img {
            max-width: 120px; /* Réduit la taille maximale sur petits écrans */
        }
        
     
        
    
         
        }
        
    
    
    /* Keyframe for Text Animation */
    @keyframes fadeIn {
        0% {
            opacity: 0;
        }
    
        100% {
            opacity: 1;
        }
    }

/* texte qui invite a decouvrir le plan */
    .textdecouverteplan{
        text-align: center;
        margin-top: 20px;
    }
   
/*image building */
.zone {
    position: absolute;
    /* background: rgba(0, 0, 0, 0.3); /* Ombre semi-transparente */
    cursor: pointer;
    transition: background 0.3s;
    border-radius: 15px;
}
    .zone:hover {
        background: rgba(0, 0, 0, 0.5); /* Ombre plus foncée au survol */
    }

.contenu-cache {
    display: none;
    margin-top: 20px;
    padding: 15px;
 
}

.contenu-flex {
    display: flex;
    align-items: flex-start; /* Aligne l'image et le tableau en haut */
    gap: 10px; /* Espace entre l'image et le tableau */
    margin-left: 2%;
    margin-right: 5%;
}


.visible {
    display: block;
}


.etage-text {
    position: absolute;
    color: white;
    font-size: 20px;
    
    
    padding: 2px 5px;
    border-radius: 3px;
    display: none;
    pointer-events: none; /* Ignore les interactions pour ne pas gêner le survol */
}
.zone:hover .etage-text {
    display: block;
}
.planetage {
    width: 650px; /* Taille de l'image ajustée */
    height: 500px;
}

/*image building */
.immeuble1{
    
    display: flex;
    margin-top: 5% ;
    
    
    /* gap: 20px; */
    background-color: #ddd;
    border-radius: 15px;
    height: 500px;
    /* margin-left: 1%; */
    padding: 2%;
    
}
.img-build{
    
    width: 70%;
    height: 95%;
    border-radius: 15px;
    position:relative;
    flex: 1;
    color: white;

    border-radius: 5px;


  
}
.img-build img{
    width:100%;
    height: 100%;}

    .style_disponible{
        color: green;
    }
    

.tab{

   /* margin-top: 19px;
    margin-bottom: 10px;*/
    border-radius: 15px;
    overflow: auto;         /* Active le défilement lorsque nécessaire */
    /*border: 1px solid #ccc;  Bordure pour la visibilité */
   
    justify-content: center;
    align-items: center;
    flex: 1;
    background-color: #ddd;
    /* padding: 20px; */
    
    
    
    text-align: center;
    border-radius: 5px;

    /* width: 20%; */
    height: 95%;

    }
        

/*DEBUT Tableau*/
table {
    width: 100%;
    border-collapse: collapse;
    
  
}
th, td {
    border: 1px solid #ddd;
    padding: 8px;
}
 
th {
    background-color: #f2f2f2;
    text-align: center;
 }
th img {
     width: 20px;
     height: 20px;
}

.Disponible a{
    text-decoration: none;
    color: black;
}

.non-disponible a{
    text-decoration: none;
    color: black;
}
.non-disponible {
    background-color: #f8d7da;
}
.Disponible1 a {

    text-decoration: none;
    color: black;
}
.non-disponible1 a {

    text-decoration: none;
    color: black;
}
.Disponible2 a {

    text-decoration: none;
    color: black;
}
.non-disponible2 a {

    text-decoration: none;
    color: black;
}
.Disponible3 a {

    text-decoration: none;
    color: black;
}
.non-disponible3 a {

    text-decoration: none;
    color: black;
}

/* tableau*/

/*FIN Tableau*/

/* Carousel Container */
.carousel {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

    /* Carousel Images */
    .carousel .slide img {
        width: 100%;
        height: 100vh;
        object-fit: cover;
        display: block;
    }

    /* Slides */
    .carousel .slide {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        transition: opacity 1s ease;
    }

        /* Active Slide */
        .carousel .slide.active {
            opacity: 1;
        }
.text h1 {
    font-size: 70px
}
    /* Text Overlay */
    .text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 20px;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.4);
    padding: 20px;
    border-radius: 10px;
    opacity: 0;
    animation: fadeIn 1.5s ease forwards;
}
/* Navigation Arrows */

 

.text a{
    text-decoration: none;
    color: white;
}



/* code des liens de plan*/
/* Cache tous les plans d'appartements par défaut */
.plan {
    display: none;
    width: 90%;
    height: 80%;
    gap: 20px;
    margin-left: 5%;
    margin-right: 5%;
     
}

.plan0{
    width: 100%;
    display: flex;
    height: 100%;
    gap: 20px;
    margin-top: 10px;
    
 }
 .image-container{
    width: 60%;
    height: 80%;
    

    flex: 1;
    padding: 20px;
   
    color: white;
    text-align: center;
    border-radius: 5px;
 }
 .image-container img{

    width: 100%;
    height: 100%;
    border-radius: 10px;   
 }

.table-container{
    height: 80%;
    font-size: 12px;

    flex: 1;
    padding: 20px;
    background-color: #ddd;
    text-align: center;
    border-radius: 5px;
    margin-top: 5%;
   }
  
  .table-container td{
    border: none; /* Supprimer les bordures des cellules */
    padding: 8px; /* Ajouter un peu d'espace pour rendre le contenu lisible */
     }

     .forme-td{
        font-weight:bold ;
        text-align: right;
     }


     .bouton_pdf{
        display: inline-block;
        padding: 10px 20px;
        font-size: 16px;
        color: black;
        background-color: #ddd;
        text-decoration: none;
        border-radius: 5px;
        transition: background-color 0.3s ease;
        
        border: 2px solid black; /* Couleur orange vif */
        padding: 10px;
       
        
        
     }
     .bouton_pdf:hover{
        background-color: grey;
        text-decoration: none;
    
        color: inherit; /* Utilise la couleur du texte parent */
        text-decoration: none; /* Pour supprimer le soulignement */
     }
/*Galerie d'images*/


.titregallerie{
    text-align: center;
    margin-top: 20px;
}
.gallery {
  
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5px; /* Espace entre les images */
    max-width: 1100px; /* Largeur maximale de la galerie */
    margin: 0 auto; /* Centre la galerie */
    padding: 0 20px; /* Espace � gauche et � droite */
    
}
.gallery-item {
position: relative;
overflow: hidden;
border-radius: 10px;
height: 450px;
box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.gallery-item img {
width: 100%;
height: 100%;
object-fit: cover;
transition: transform 0.3s ease, filter 0.3s ease;
}

.gallery img:hover {
transform: scale(1.1);  /* Zoom au survol */
}

/* Styles pour la modale */
.modal {
    display: none; /* Masquée par défaut */
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
  }
  
  .modal-content {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
  }
  
  .close {
    position: absolute;
    top: 20px;
    right: 40px;
    color: white;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
  }

.titrecarcte{

display: block;
/* margin-left: 12%;
margin-bottom: 1%; */
text-align: center;

}
.carateristiques{
display: flex;
gap: 20px;
margin-left: 50px;
margin-right: 50px;
border-radius: 15px;
flex-wrap: wrap;
background-color: #f2f2f2;
margin-bottom: 20px;
font-size: 15px;

}
.car1{
    
flex: 1;
margin-left: 10px;
margin-top: 20px;
}
.car2{
flex: 1;
margin-left: 10px;
margin-top: 20px;

}

/* Style de base pour le footer */
.footer {
    background-color: black;
    color: black;
    padding: 40px 0;
    flex-wrap: wrap;
}
.color{
    color: white;
    margin-top: 2%;
    font-size: 14px;
text-align: center;
   
    
}

.container2 {
    display: flex;
    margin: 10px;
    padding: 0 10px;
    flex-wrap: wrap; 
    gap: 3%; 
}

/* Formulaire */
.formulaire {
    background-color: whitesmoke;
    margin-left: 10px;
    padding-top: 15px;
    padding-bottom: 15px;
    border-radius: 05px;
    flex: 2;
}

   .formulaire h1 {
       font-size: 25px;
       text-align: center;
       color: #dfb16d;
   }

.form :where(.input-box input, .select-box) {
   position: relative;
   width: 100%;
   outline: none;
   font-size: 1rem;
   color: #707070;
   margin-top: 8px;
   border: 1px solid #ddd;
   border-radius: 6px;
   padding: 0 15px;
}

.form .column {
   display: flex;
   column-gap: 15px;
}

.input-box input:focus {
   box-shadow: 0 1px � rgba(0, 0, 0, 0.1);
}

.form .gender-box {
   margin-top: 20px;
}

.gender-box h3 {
   color: #333;
   font-size: 1rem;
   font-weight: 400;
   margin-bottom: auto;
}

.form :where(.gender-option,.gender) {
   display: flex;
   align-items: center;
   column-gap: 50px;
   flex-wrap: wrap;
   margin-bottom: 1px;
}

.form .gender {
   column-gap: 5px;
}

.gender input {
   accent-color: rgb(150, 150, 155);
}

.form :where(.gender input, .gender label) {
   cursor: pointer;
}

.gender label {
   color: #999797;
}

.adress :where(input, .select-box) {
   margin-top: 20px;
}

.select-box select {
   height: 100%;
   width: 100%;
   outline: none;
   border: none;
   color: #7c1d1d;
   font-size: 1rem;
}

.form button {
   height: 55px;
   width: 30%;
   color: #fff;
   font-size: 1rem;
   border: none;
   margin-top: 10px;
   margin-bottom: 15px;
   cursor: pointer;
   border-radius: 6px;
   font-weight: 400;
   transition: all 0.2s ease;
   background-color: #dfb16d;
}

   .form button:hover {
       background-color: rgb(44, 43, 48);
   }

.formulaire header {
   font-size: 1.5rem;
   color: black;
   font-weight: 500;
   margin-bottom: 20px;
   text-align: center;
}

.form {
   max-width: 100%;
   margin-left: 60px;
}

.input-box {
   margin-bottom: 20px;
}

   .input-box label {
       display: block;
       color: #333;
       margin-bottom: 5px;
   }

   .input-box input {
       width: 80%;
       padding: 10px;
       border-radius: 5px;
       border: none;
       font-size: 1rem;
       color: black;
   }


   .input-box textarea {
       height: 150px; /* Plus grande zone pour le message */
       resize: vertical; /* Permet de redimensionner verticalement */
       width: 80%;
       border-radius: 5px;
   }

button {
   width: 20%;
   padding: 10px;
   background-color: #dfb16d;
   color: black;
   border: none;
   border-radius: 5px;
   cursor: pointer;
   font-size: 1rem;
}

   button:hover {
       background-color: #777;
   }

   /* Informations contact*/
.infos {
    flex: 1;
    padding: 1%;
    margin-top: 1%;
}
    .infos h3 {
        font-size: 25px;
        color: #dfb16d;
        margin-bottom: 20px;
        text-align: center;
        font-weight: bold;
    }
.contacteznous {
    display: flex; 
    gap: 5%;   
}

.imagecontact {
 
    text-align: center;
    box-sizing: border-box; 
}

    .imagecontact img {
        width: 45%;
        height: 60%; 
        border-radius: 10px;
    }

.infos p {
    font-size: 15px;
    color: #ccc;
    margin: 5px 0;
}
    
    .paragforme{
        text-align: center;
    }
    
    


  



/* code des options*/
/* Conteneur principal */
.conteneur {
    display: flex;
    align-items: center;
    background-color: #f2f2f2;
    padding: 40px;
    position: relative;
    max-width: 1000px;
    margin: auto;
    overflow: visible; /* Assure que l'image peut déborder */
    margin-top: 60px;
    z-index: 1;
}

/* Zone de texte */
.montexte {
    flex: 1;
    padding: 10px;
    background-color: #f2f2f2;
    color: #333;
    position: relative;
    text-align: justify;
    z-index: 2; /* Assure que le texte est en dessous de l'image */
}
.montexte p{
    width: 50%;
}

/* Image avec superposition */
.image {
    position: absolute;
    right: -40px;
    top: -60px; /* Ajustez cette valeur pour monter l'image */
    width: 500px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 2; /* Place l'image au-dessus du texte */
}

/* Responsive pour petits écrans */
@media (max-width: 768px) {
    .conteneur {
        flex-direction: column;
        text-align: center;
        padding: 20px;
    }

    .image {
        position: relative;
        right: 0;
        top: 0;
        max-width: none;
        margin-top: 20px;
    }
}
/* Conteneur principal */
.section {
    max-width: 800px;
    margin: auto;
    text-align: center;
    padding: 40px;
    
}

/* Style du titre */
.titre {
    font-size: 24px;
    font-weight: bold;
    color: #333;
    text-transform: uppercase;
    margin-bottom: 20px;
    position: relative;
    display: inline-block;
}

/* Décoration élégante sous le titre */
.titre-decoration {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 0px;
    margin-bottom: 20px;
}

.ligne {
    width: 50px;
    height: 2px;
    background-color:#dfb16d;
}

.icon {
    width: 12px;
    height: 12px;
    background-color: #dfb16d;  
    border-radius: 50%;
}

/* Style du texte */
.montexte2 {
    font-size: 16px;
    line-height: 1.6;
    margin-top: 20px;
    text-align: justify;
   
}

/* Conteneur principal */
.icon-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    max-width: 800px;
    margin: auto;
}
/* Style de chaque icône avec sous-titre */
.icon-box {
    text-align: center;
    flex: 1 1 30%; /* Largeur de 30% pour tenir 3 icônes par ligne */
    max-width: 200px;
}

    .icon-box img {
        width: 100px; /* Taille de l'image icône */
        height: auto;
        margin-bottom: 10px;
    }

.icon-title {
    font-size: 16px;
    color: #333;
}
@media (max-width: 600px) {
    .icon-box {
        flex: 1 1 45%; /* Largeur de 45% pour tenir 2 icônes par ligne */
    }
}

/* Responsivité : une icône par ligne sur très petits écrans */
@media (max-width: 400px) {
    .icon-box {
        flex: 1 1 100%;
    }
}

@media (max-width: 992px) {
    .gallery {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) {
    .gallery {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 576px) {
    .gallery {
        grid-template-columns: 1fr;
    }
}


